Subject: bug#58346: 29.0.50; Cannot switch buffers in minibuffer window (in other frame)

From: [email-masked]
Date: Fri, 07 Oct 2022 09:57:21 +0200

Jean Louis <[email-masked]> writes:

> 1. I have 2 frames;
>
> 2. In one frame I have minibuffer, asking me something;
>
> 3. I need information from other frame;
>
> 4. I switch to other frame; that works; I can type in other frame;
>
> 5. But I need to switch buffer in that other frame, switching buffer is
>    not allowed;

Have you tried
(setq enable-recursive-minibuffers t)

> That is not logical. Especially if I can use menu Buffers and click on
> buffer to swtich to it.
>
> It is also not logical that minibuffer prompt appears in all frames. It
> should be locked to single frame. Not to all frames.

Perhaps (setq minibuffer-follows-selected-frame nil) could be more to
your liking, or maybe (setq minibuffer-follows-selected-frame 'partial).

Best regards.